List billing account transactions
curl --request GET \
--url https://rest.compute.cudo.org/v1/billing-accounts/{id}/transactions \
--header 'Authorization: <api-key>'import requests
url = "https://rest.compute.cudo.org/v1/billing-accounts/{id}/transactions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://rest.compute.cudo.org/v1/billing-accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"transactions": [
{
"amount": {
"value": "<string>"
},
"createTime": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"lastPaymentError": {
"code": "<string>",
"declineCode": "<string>"
},
"latestCharge": {
"amount": {
"value": "<string>"
},
"createTime": "2023-11-07T05:31:56Z",
"paid": true,
"refunded": true,
"status": "<string>",
"failureCode": "<string>"
},
"status": "<string>",
"succeeded": true
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Billing
List billing account transactions
Lists transactions for a billing account.
GET
/
v1
/
billing-accounts
/
{id}
/
transactions
List billing account transactions
Authorizations
API key authentication. API keys should be passed using the format Bearer API_KEY.
Path Parameters
⌘I